# PSF-LoginServer - master - net.psforever.objects.serverobject.pad.VehicleSpawnPad.ServerVehicleOverrideStart
PSF - LoginServer - master - net.psforever.objects.serverobject.pad.VehicleSpawnPad.ServerVehicleOverrideStart
Keywords: PSF LoginServer master net.psforever.objects.serverobject.pad.VehicleSpawnPad.ServerVehicleOverrideStart

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package pad
  Definition Classes
    serverobject
-  object VehicleSpawnPad
  Definition Classes
    pad
- AttachToRails
- ConcealPlayer
- DetachFromRails
- DisposeVehicle
- PeriodicReminder
- PlayerSeatedInVehicle
- Reminders
- ResetSpawnPad
- RevealPlayer
- ServerVehicleOverrideEnd
- ServerVehicleOverrideStart
- StartPlayerSeatedInVehicle
- VehicleOrder

c

net.psforever.objects.serverobject.pad.VehicleSpawnPad

# ServerVehicleOverrideStart

###

#### final case class ServerVehicleOverrideStart(driver_name: String, vehicle: Vehicle, pad: VehicleSpawnPad) extends Product with Serializable

Message that starts the newly-spawned vehicle to begin driving away from the spawn pad. Information about the driving process is available on the vehicle itself. This information should only be communicated to the driver's client only.

driver_name

  the person who will drive the vehicle

vehicle

  the vehicle

pad

  the spawn pad

Source
  VehicleSpawnPad.scala
See also

  `VehicleDefinition`

Linear Supertypes
Serializable, Product, Equals, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. ServerVehicleOverrideStart
2. Serializable
3. Product
4. Equals
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new ServerVehicleOverrideStart(driver_name: String, vehicle: Vehicle, pad: VehicleSpawnPad)

   driver_name

     the person who will drive the vehicle

   vehicle

     the vehicle

   pad

     the spawn pad

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  val driver_name: String
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
11.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
13.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  val pad: VehicleSpawnPad
15.  def productElementNames: Iterator[String]
    Definition Classes
      Product
16.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
17.  val vehicle: Vehicle
18.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
19.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped